================================================================================
Intel(R) Server Platform BIOS Release Notes
================================================================================

INTEL(R) Server Boards and Systems
Intel Corporation
2111 N.E. 25th Avenue, Hillsboro, OR 97124 USA

================================================================================

DATE    : Aug 10 2015
TO      : Multi-Core Intel(R) Xeon(R) Processor-Based Server Platform customers
SUBJECT : BIOS Release notes for version R01.01.0011

================================================================================
                           LEGAL INFORMATION
================================================================================

INFORMATION IN THIS DOCUMENT IS PROVIDED IN CONNECTION WITH INTEL PRODUCTS. NO 
LICENSE, EXPRESS OR IMPLIED, BY ESTOPPEL OR OTHERWISE, TO ANY INTELLECTUAL 
PROPERTY RIGHTS IS GRANTED BY THIS DOCUMENT. EXCEPT AS PROVIDED IN INTEL'S TERMS 
AND CONDITIONS OF SALE FOR SUCH PRODUCTS, INTEL ASSUMES NO LIABILITY WHATSOEVER 
AND INTEL DISCLAIMS ANY EXPRESS OR IMPLIED WARRANTY, RELATING TO SALE AND/OR USE 
OF INTEL PRODUCTS INCLUDING LIABILITY OR WARRANTIES RELATING TO FITNESS FOR A 
PARTICULAR PURPOSE, MERCHANTABILITY, OR INFRINGEMENT OF ANY PATENT, COPYRIGHT OR 
OTHER INTELLECTUAL PROPERTY RIGHT. 

A "Mission Critical Application" is any application in which failure of the Intel 
Product could result, directly or indirectly, in personal injury or death. SHOULD 
YOU PURCHASE OR USE INTEL'S PRODUCTS FOR ANY SUCH MISSION CRITICAL APPLICATION, 
YOU SHALL INDEMNIFY AND HOLD INTEL AND ITS SUBSIDIARIES, SUBCONTRACTORS AND 
AFFILIATES, AND THE DIRECTORS, OFFICERS, AND EMPLOYEES OF EACH, HARMLESS AGAINST 
ALL CLAIMS COSTS, DAMAGES, AND EXPENSES AND REASONABLE ATTORNEYS' FEES ARISING OUT 
OF, DIRECTLY OR INDIRECTLY, ANY CLAIM OF PRODUCT LIABILITY, PERSONAL INJURY, OR 
DEATH ARISING IN ANY WAY OUT OF SUCH MISSION CRITICAL APPLICATION, WHETHER OR NOT 
INTEL OR ITS SUBCONTRACTOR WAS NEGLIGENT IN THE DESIGN, MANUFACTURE, OR WARNING OF 
THE INTEL PRODUCT OR ANY OF ITS PARTS. 

Intel may make changes to specifications and product descriptions at any time, 
without notice. Designers must not rely on the absence or characteristics of any 
features or instructions marked "reserved" or "undefined". Intel reserves these for 
future definition and shall have no responsibility whatsoever for conflicts or 
incompatibilities arising from future changes to them. The information here is 
subject to change without notice. Do not finalize a design with this information. 

The products described in this document may contain design defects or errors known 
as errata which may cause the product to deviate from published specifications. 
Current characterized errata are available on request. 

Contact your local Intel sales office or your distributor to obtain the latest 
specifications and before placing your product order. 

Copies of documents which have an order number and are referenced in this document, 
or other Intel literature, may be obtained by calling 1-800-548-4725, 
or go to: http://www.intel.com/design/literature.htm

Intel is a registered trademark of Intel Corporation. 

*Other names and brands are the property of their respective owners.

Copyright (C) 2013~2015 Intel Corporation.

================================================================================
                              ABOUT THIS RELEASE
================================================================================
Build Stamp : SE5C610.86B.01.01.0011
Build Date  : Aug 10 2015


================================================================================
                           Supported Platforms
================================================================================        
                           S2600WT Family
                           S2600KP Family
                           S2600TP Family
                           S2600CW Family
================================================================================
                           BIOS COMPONENTS/CONTENTS
================================================================================
Processors supported: 
Intel(R) Xeon(R) processor E5-2600 v3 series

Microcode update versions:
Intel(R) Xeon(R) processor E5-2600 V3 series C0/C1 stepping: 0x00000032 
                                                   CPUID = 0x306f2

On-Board Component Option ROM Versions:
all_gigabit_pxe_v1.5.70.LOM   - 1G PXE OpROM v1.5.70
all_10g_pxe_v2.3.41.LOM       - 10G PXE OpROM v2.3.41
all_iscsi_v3.0.48.LOM         - iSCSI Boot OpROM v3.0.48
all_10g_fcoe_v1.8.17.LOM      - 10G FCoE OpROM v1.8.17
X540_Fcoe.LOM                 - 10G FCoE OpROM v1.8.24

E4702X4.EFI                 - 10G PCIe gigabit controller UEFI driver ver 4.7.02
E6604X3.EFI                 - 1G controller UEFI driver ver 6.6.04


sSataOrom.bin               - sSata RAID OpROM V4.3.0.1018
SataOrom.bin                - Sata RAID OpROM V4.3.0.1018
SataDriver.efi              - Sata UEFI RAID OpROM V4.3.0.1018
sSataDriver.efi             - sSata UEFI RAID OpROM V4.3.0.1018



ESRT2.ROM                   - ESRT II legacy OpROM A.14.10171446I
EfiSasDriver.efi            - ESRT II UEFI RAID OpROM 03250000

ACM				    : v2.20 PW
Intel(R) QPI Reference Code Version : v1.14
Memory Reference Code Version       : v1.14

Management Engine Firmware Version  : 03.00.07.168


PCR-00: B8 F3 B5 75 32 36 CA B6 E2 3C A2 02 B9 FB 8C 61 2E B1 7F 01 
================================================================================
			INSTALLATION NOTES
================================================================================
WARNING:  It is very important to follow these instructions as they are written.
Failure to update using the proper procedure may cause damage to your system.

1.User can update BIOS flash image via either of the follow methods...

  1.)  Copy the entire contents of the Package file to the HDD or USB flash drive. 
       (All of the files must reside in the same directory.)
  2.)  Boot to UEFI Shell, then change the Shell to the mapped device file system
       Example: Shell> fs0: (or fs1:)
  3.)  Run updAll.nsh for BIOS, ME and FD region upgrade together. 
       updBios.nsh, updME.nsh and updFD.nsh for each region upgrade respectively.
  4.)  Reboot system after the update is completed.
  5.)  Do *NOT* interrupt the BIOS POST during the first boot.

2.BIOS update under recovery mode as below methods
  The USB media is necessary for primary BIOS upgrade and must contain the following 
  files under the root directory, you can capture all the ingredients from BIOS 
  release package:
  1.)  UEFI iFlash32 (including IFlash32.efi and ipmi.efi )
  2.)  *.CAP( the released BIOS capsule which version you expect to update)
  3.)  Startup.nsh (update accordingly to use proper *.CAP file)

  A: Install USB media after recovery boot to shell, you need to follow below steps
  1.) Under Shell, type "map -r" to map all disc  
  2.) Change the Shell to mapped device file system
	   Example: Shell> fs0: (or fs1:)
  3.) Execute the startup.nsh scripts for BIOS update, wait for BIOS update complete
  4.) Power OFF the system, and revert the recovery jumper position to 
      "normal operation".
  5.) Power ON the system. 
  6.) Do *NOT* interrupt the BIOS POST during the first boot.

  B: Installed USB media prior to recovery boot
     It will boot automatically into EFI Shell to invoke the Startup.nsh script and 
     start the flash update application (IFlash32.efi). 
     IFlash32.efi requires the supporting BIOS Capsule image file (*.CAP). After the 
     update is complete, there will be a message displayed stating that the "BIOS has 
     been updated successfully" indicating the recovery process is finished. The User 
     should then switch the recovery jumper back to normal operation and restart the 
     system by performing a power cycle.

Notes: If to update backup BIOS region, you need to customize the iflash32 update 
       scripts and add "UpdateBackupBios" parameter 
================================================================================
                        BIOS RECOVERY INSTRUCTIONS
================================================================================
The Recovery process can be initiated by setting the recovery jumper 
(called BIOS Recovery Boot Jumper)

A BIOS recovery can be accomplished from backup BIOS region. 

BIOS starts the recovery process by first loading and booting to the recovery image 
from backup BIOS region. This process takes place before any video or console is 
available. Once the system boots to recovery image.

The following steps demonstrate this recovery process:
   1.  Power OFF the system.
   2.  Switch the recovery jumper. Details regarding the jumper ID and location
       can be obtained from the Server Board TPS for that Platform.
   3.  Power ON the system.
   4.  The BIOS POST screen will appear displaying the progress and system 
       automatically boots to the EFI SHELL.


================================================================================
			IMPORTANT NOTICE
================================================================================
1. The BIOS R01.01.0002 auto scripts will force to update both normal and backup 
   BIOS region since security revision was updated, Once user upgrade BIOS to 
   R01.01.0002, it will prevent BIOS downgrade to previous version that with low
   security revision, user can use BIOS recovery mode for BIOS downgrade
2. The BIOS R01.01.0003 included security fix and security revision upgrade, 
   refer to item #1.
3. If doing online BIOS update to R01.01.0003, user must use the auto scripts 
   enabled in the release package which will force update BIOS NVRAM and backup
   region. 
4. BIOS R01.01.0004 requires update of NVRAM and backup region.
5. BIOS R01.01.0009 will enable UEFI Secure Boot and include below limitations:
    - Please read "BIOS UEFI SECURE BOOT IMPACT AND MITIGATION METHOD" section in this
	  BIOS release notes 
	- All customer settings saved in BIOS NVRAM will be lost after new BIOS upgrade. 
    - BIOS downgrade is not allowed if user has enabled BIOS secure boot. All customer 
	  setting will be lost also if downgrade to previous BIOS release.
    - Backup BIOS region is also required to be updated to prevent recovery failure 
	  please use release package to update BIOS.  
    - There is downgrade hang risk if you don't follow above rules. 
	- Further BIOS release will not suffer from these side effects as the NVRAM region 
	  is formatted as authenticated variable storage 
	

================================================================================  
     BIOS UEFI SECURE BOOT IMPACT AND MITIGATION METHOD 
=================================================================================   
1. Customer Setting Loss Issue and Mitigation Method
    When user upgrades BIOS with secure boot feature, the NVRAM will be automatically 
  formatted as authenticated variable physical storage. However, all previous customer 
  settings storage in NVRAM will be lost even if user does not enable UEFI secure boot 
  feature. 
    Users can take the follow recipe to save and restore their settings based on 
  the actual NVRAM usage if they wish to upgrade or downgrade between BIOS with or 
  without secure boot feature. 
    Supposing customer requires to save & restore their specific NVRAM named 'var':
  Steps:
  1. Prepare FAT partition USB key (or HDD).
  2. Boot to EFI shell.
  3. Check the file system mapping (e.g. fs0:) of the USB key with 'map -r' command.  
  4. Use 'dmpstore var -s fs0:\var.bin' to save the variable to the physical file.
  5. Perform BIOS update and reboot system.
  6. Boot to EFI shell.
  7. Use 'dmpstore var -l fs0:\var.bin' to restore the variable.
  8. Reboot the system if the customer setting requires reboot to take effect.

Notes:
  1. Immediate reboot after BIOS update is mandatory. Or the restore operation will 
     not take effect.
  2. Customers can repeat step 4 and step 7 for several times if they need to save & restore 
     multiple NVRAM variables.
  3. Most of BIOS customer settings by SysCfg can also be restored in this way. Customers 
     can follow previous step1~8 by substituting 'Setup' for 'var' in the sample. 
  4. For BIOS downgrade case, step7 cannot be used to restore authenticate variables 
     (e.g. PK, KEK, DB, DBX) to non-authenticated NVRAM storage

2. Recovery Mode Failure
   There is known bug that it cannot POST successfully with authenticated NVRAM storage.
   This will cause platform recovery failure and permanent deny of service (PDOS) if the 
   primary BIOS region gets corrupted for some reason. It is required to update backup BIOS 
   region when upgrade BIOS capsule with secure boot feature. 
Notes: 
  For downgrade case, user is not required to update backup BIOS region as new 
  BIOS with secure boot feature can handle NVRAM with old storage format: 
  it will format it to new authenticated variable storage automatically.  
  However, care must be taken when downgrading BIOS in recovery mode: After flashing 
  BIOS without secure boot feature, user should restore recovery HW jumper immediately 
  before platform reset.If platforms reset occurs before restoring recovery HW jumper, 
  the backup BIOS will once again format NVRAM to new storage format, which will cause 
  newly flashed BIOS (without secure boot feature) POST failure after user restores 
  recovery HW jumper.


================================================================================
			FEATURES ADDED/REMOVED
================================================================================

================================================================================

================================================================================
				R01.01.0003  (Production Release)
================================================================================


================================================================================
                               R01.01.0004 (D633)
================================================================================
EPSD100026893	i350(Powerville) IOM OpROM doesn't load during post
EPSD100244275	Cannot enable TXT and receive BIOS POST Code 0xA100
EPSD100244186	Power Restore Delay Value minimum not long enough for BMC boot 
                time
EPSD100244174   Security vulnerability on SMI GetVariable interface was captured
                by SeCOE
================================================================================
				R01.01.0004
================================================================================
EPSD100026935	The Default Value Of SOL And Console Redirection
EPSD100244254	Pre-Release 40G IOmodule fails the link margin test with concurrent
                traffic on slot2 IOM riser+carrier.
EPSD100244186	Power Restore Delay Value minimum not long enough for BMC boot time
EPSD100026931	Show error message when disabled boot devices
EPSD100244439	[X] Customized riser card on riser slot 2 can't detect InfiniBand* 
                card
EPSD100244388	"Resume AC power loss" status in the file which is save by cmd 
                "syscfg /s A.ini /f /b" won’t be changed once change its status with
   				syscfg.
EPSD100243547	Pre-release 40G IOmodule fails the link margin test with concurrent 
                traffic on slot2 IOM riser+carrier.
EPSD100244367	Add 19.3 NIC package EFI driver and FCOE ROM 
EPSD100244376	Syscfg /bldfs does not work same as BIOS F9 function to load default
                BIOS setting "Resume AC power loss" and "Shutdown Policy"
EPSD100244377	Syscfg /bldfs does not work same as BIOS F9 function to load default
                BIOS setting "Resume AC power loss"
EPSD100244374	Syscfg /bldfs does not work same as BIOS F9 function to load default
                BIOS setting "Resume AC power loss" and "Shutdown Policy"
EPSD100244379	Syscfg /bldfs does not work same as BIOS F9 function to load default
                BIOS setting "Resume AC power loss"
EPSD100244371	"Shutdown policy" and "Resume AC power loss" status in the file which
                is save by cmd "syscfg /s A.ini /f /b" won’t be changed  once change 
				their status with syscfg.
EPSD100244380	"Shutdown policy" and "Resume AC power loss" status in the file which
                is save by cmd "syscfg /s A.ini /f /b" won’t be changed  once change 
				their status with syscfg.
EPSD100244387	"Shutdown policy" and "Resume AC power loss" status in the file which
                is save by cmd "syscfg /s A.ini /f /b" won’t be changed  once change
				its status with syscfg.
EPSD100244394	uEFI iSCSI Boot attempts can be saved without filling in the target name

================================================================================
				R01.01.0005
================================================================================
EPSD100244208   SEL intermittently reports therm trip

================================================================================
				R01.01.0006
================================================================================
EPSD100245152 SMBIOS problem cause the latest IDA7.17.RC6 boot failure with the
              12G SAS RS3LC bridge
EPSD100243827 The boot devices will increase if system reboot from RHEL7 aware 
              UEFI and then the system will hang at high proportion
EPSD100026915 The Hdds couldn't be found on the RHEL7.0 when storage card 81605Z 
              inserted in the test riser4_slot4_PCIex16.
EPSD100244480 The boot devices will increase if system reboot from RHEL7 aware UEFI
              and then the system will hang at high proportion
EPSD100243758 Display L2/L3 cache error detected on the RAID controller during post .
EPSD100026786 SUT can't boot to RHEL 6.5 x64 when enable "VT for Directed I/O" in
              BIOS setting.

================================================================================
				R01.01.0007
================================================================================
EPSD100245440  	LAN1 link down when doing DC cycle test with ITAS 
================================================================================
				R01.01.0008 (D691, D683, D670, D660)
================================================================================
EPSD100244480	The boot devices will increase if system reboot from RHEL7 aware
                UEFI and then the system will hang at high proportion
EPSD100243827	The boot devices will increase if system reboot from RHEL7 aware
                UEFI and then the system will hang at high proportion
EPSD100026786	SUT can't boot to RHEL 6.5 x64 when enable "VT for Directed I/O"
                in BIOS setting.
EPSD100026173	Driver Health Protocol (DHP) not working correctly on Wildcat Pass
EPSD100244587	Incorrect ACPI table causes NUMA issues in Linux
EPSD100244594	System booted with only 1 QPI link trained, no errors reported
EPSD100026973	Dual port IB IOM G52882-351 is showed as "single-port" description
                in BIOS setup menu.
EPSD100243758	Display L2/L3 cache error detected on the RAID controller during post 
EPSD100244393	uEFI iSCSI boot configuration is lost after reboot
EPSD100244993	New ESRT2 OpROM and uEFI Driver for Grantley
EPSD100245152	SMBIOS problem cause the latest IDA7.17.RC6 boot failure with the
                12G SAS RS3LC bridge
EPSD100244738	If Unplug USB scanner and then re-plug scanner back in ,USB scanner
                is inactive
EPSD100240251	Secondary SATA info loading before Primary SATA info
EPSD100244362   CCB# 273 :  QRE:  Reset after CATERR leaves system in a hung state"
                is open for annotation
EPSD100245307   Pressing multiple F6 from SOL skips through boot manager.
EPSD100244490   BIOS isn't reporting QPI link errors.
EPSD100027078   Help text "Intel(R) ESRT2 (LSI*)" RAID mode not match with BIOS.
EPSD100027079   Help text "Intel(R) ESRT2 (LSI*)" RAID mode not match with BIOS.
EPSD100027080   Help text "Intel(R) ESRT2 (LSI*)" RAID mode not match with BIOS.
EPSD100245480   TPM2.0 module can't work
EPSD100245498   TPM2.0 module can't work
EPSD100027076   [SMBIOS] Type 8 no information for NGFF (M.2) device
EPSD100245810   Syscfg_v13.1.4:a lot of invalid BIOS items displayed in syscfg.ini
                by command:syscfg /s syscfg.ini /f /b
EPSD100245811   Sysinfo_v13.1.5:a lot of invalid BIOS items displayed at 'BIOS Settings'
                part in sysinfo_log.txt by command:sysinfo -ni
EPSD100245884   New ESRT2 1.43 OpROM for inclusion into Grantley Production BIOS
EPSD100246585   USB Scanner can't work stably in EFI shell with Bios 691
    
                BIOS Workaround for CWP 10G NIC OpROM issue
                Roll back PXE OpROM V2.3.30 and UEFI V4.5.19 update
                Remove 1.43 UEFI ESRT2 OpRom
                Security Fix: Smm range check for signed update
================================================================================
				R01.01.1008
================================================================================
    EPSD100247226   BSOD under Windows 2012 R2 when hot plugging NVMe SSD drives
    
    	
	
================================================================================
				R01.01.0009
================================================================================
EPSD100027182   ME status show "Not Ready" in SETUP(MFG mode).
EPSD100027258   HII - Day information hard coded to always 'Thu' irrespective 
                of date we save in Schedule CC page
EPSD100245060   System intermittently reboots due to watchdog timer failure.
EPSD100245810   The description for "boot mode" under advanced controller 
                property gets truncated
EPSD100246351   Set Boot Mode=UEFI via ITK,"Launch EFI Shell" will disappear.
EPSD100246372   No video signal when enable ESRT2 UEFI BIOS and Emulex 16002B. 
EPSD100246418   Sysinfo_v13.1.6:some BIOS options should not displayed 
                "Possible Values" in sysinfo_log.txt.
EPSD100246978   Cannot enter BIOS setup after enabling serial console redirection 
                for serial port B
EPSD100027610   [E5-16xx] Wrong "Memory Array Handle" mapping cause SMBIOS Type 
                16/17/19/20 has wrong structure.
EPSD100027259   [S2600WT]Not calling INT15h handler of iMR when MR OPROM loads 
EPSD100027735   "Intel Embedded Server RAID Technology 2" OpROM not show in BIOS 
EPSD100027816   [E5-16xx] Trigger MBE at channel A1 will get wrong sel log.
EPSD100247226   BSOD under Windows 2012 R2 when hot plugging NVMe SSD drives
EPSD100247285   [24HDD]The hot plug function of HSBP cannot work normal.
EPSD100245307   Pressing multiple F6 from SOL skips through boot manager.
EPSD100247506   BMC DHCP HOST NAME can not be changed if DMN is DYNAMIC and BMC
EPSD100028176:  HW RAID HII: Arrow listing is not displayed correctly when lines 
EPSD100247654:  Help to integrate the LAN OPROM20 oprom.
EPSD100244429:  System sporadically hangs at post code 0x89
EPSD100028560:  [24HDD] The value of OEMID at ACPI table is not expected value.
EPSD100028741   No Error Message display when boot into unsigned OS with secure 
                boot enable
EPSD100248330   ME status error with ME force update jumper
EPSD100028678   SUT will get IERR event when enable secure boot via ITK or Syscfg.
EPSD100028810   Windows2012R2 reboot cycle failed.
EPSD100248466   [S2600WT] System locks up during OS DC cycling test
EPSD100028878   [S2600WT] Dmesg record. Corrupted low memory after finish 
               	SLES 12 installation
EPSD100028803   [S2600WT] VTK-125R2 can't execute.
EPSD100248439   Conflict message in Linux when serial port A is set as 0x2f8 and IRQ3 
EPSD100028852   After change "Active Processor Cores" , then press F10 to save Setup 
                menu, it will pop up a fail screen as picture.
EPSD100248533   Memory speed changes when POR setting is disabled and with a specific 
                CPU - 3 DIMMS per channel


================================================================================
				R01.01.0010
================================================================================
EPSD100029030   [R0009] PCIe Bifurcation on CPU2 Riser slot 2 x8x4x4 setting is not correct.
EPSD100244429   System sporadically hangs at post code 0x89
                (Found during DC power cycle caused by USB SMI)    
EPSD100028978   Re-timer fails the link margin test with concurrent traffic on SAS bridge board for Haswell CPU
EPSD100028064   [24HDD] Suggest add/change some information of SMBIOS Data. 

    
================================================================================
			R01.01.0011
================================================================================
EPSD100248718   WCP - NVRAM clear fails when initiated in UEFI Secure Boot mode
                (System fails to boot after applying/removing NVRAM Clear jumper while in UEFI mode with Secure Boot mode enabled)    
EPSD100029220   The count of maximum USB mass storage devices cannot match with EPS description.
EPSD100248578   BMC WEB GUI does not display memory config with 64GB LRDIMMS.
EPSD100028979   After RHEL 7.1(UEFI) OS installation by using 4Kn HDD as system disk, cannot boot to OS.
EPSD100248324   Windows RSTe GUI will not start when Grantley system is in UEFI mode.
EPSD100029185   Boot into unsign OS the Error Message will shortag
EPSD100248958   [HSW]-sysinfo_v13.1.12  some information shown nothing in F2 setup while sysinfo.log has shown
EPSD100029576   SMBIOS Type 8 Serial Port type not correct.
EPSD100029609   ME version is not correct ,when disabled Quiet Boot function.
EPSD100249073   Problems with the static boot order on a WCP system with an Umbrella Canyon RAID controller
EPSD100249090   NTB has the performance issue with Grantley BIOS 1.01.0008
EPSD100249057   BIOS Memory SPD dump information is not correct for DDR4 caused by offset mismatch with DDR4 spec
                Support for 4X4 PCIe bifurcation support on all X16 PCIe Slot



